<?php

function istk_portfolio_sanitize_img( $input, $setting ) {
	$mimes = array(
		'jpg|jpeg|jpe' => 'image/jpeg',
		'gif'          => 'image/gif',
		'png'          => 'image/png'
	);
	$file_ext = wp_check_filetype( $input, $mimes );
	if ( $file_ext['ext'] ) {
		return $input;
	} else {
		return $setting->default;
	}
}
function istk_portfolio_sanitize_radio( $input, $setting ){
	$input = sanitize_key( $input );
	$choices = $setting->manager->get_control( $setting->id )->choices;
	if( array_key_exists( $input, $choices ) ) {
		return $input;
	} else {
		return $setting->default;
	}
}






function istk_portfolio_customize_register( $wp_customize ){
	//設定一覧
	
	//--色
	$wp_customize->add_setting(
		'istk_portfolio_color_headliner',
		array(
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	$wp_customize->add_setting(
		'istk_portfolio_color_header_nav',
		array(
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	$wp_customize->add_setting(
		'istk_portfolio_color_page_header',
		array(
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	$wp_customize->add_setting(
		'istk_portfolio_color_sidebar',
		array(
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	$wp_customize->add_setting(
		'istk_portfolio_color_footer',
		array(
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	
	
	//--スライダー画像
	//スライダーを表示するかどうか
	$wp_customize->add_setting(
		'istk_portfolio_slider_on_off',
		array(
			'default'	=>	'off',
			'sanitize_callback'	=>	'istk_portfolio_sanitize_radio'
		));
	//スライダー画像5枚まで
	for ( $i = 1; $i <= 5; $i++ ) {
		$wp_customize->add_setting(
			'istk_portfolio_slider_image[' . $i . ']',
			array(
				'default'	=>	'',
				'sanitize_callback'	=>	'istk_portfolio_sanitize_img'
			));
	}
	
	
	
	
	//--連絡先&アクション
		
	//電話番号
	$wp_customize->add_setting(
		'istk_portfolio_contact[tel_number]',
		array(
			'default'	=>	'',
			'sanitize_callback'	=>	'wp_filter_nohtml_kses'
		));
	//営業時間
	$wp_customize->add_setting(
		'istk_portfolio_contact[biz_hour]',
		array(
			'default'	=>	'',
			'sanitize_callback'	=>	'wp_filter_nohtml_kses'
		));
	
	//問い合わせリンク
	$wp_customize->add_setting(
		'istk_portfolio_link_contact',
		array(
			'default'	=>	'',
			'sanitize_callback'	=>	'esc_url_raw'
		));
	//ダウンロードリンク
	$wp_customize->add_setting(
		'istk_portfolio_link_download',
		array(
			'default'	=>	'',
			'sanitize_callback'	=>	'esc_url_raw'
		));
	//営業スケジュールページ
	$wp_customize->add_setting(
		'istk_portfolio_link_calendar',
		array(
			'default'	=>	'',
			'sanitize_callback'	=>	'esc_url_raw'
		));
	
	//ポートフォリオ（資料）書影
	$wp_customize->add_setting(
		'istk_portfolio_pimg',
		array(
			'default'	=>	'',
			'sanitize_callback'	=>	'istk_portfolio_sanitize_img'
		));
	
	//ダウンロードボタンの前の文言
	$wp_customize->add_setting(
		'istk_portfolio_download_text',
		array(
			'default'	=>	esc_html__( "You can download our portfolio PDF document.\nPlease consider to request us.", 'istk-portfolio' ), //PDFポートフォリオをご用意しています。どうぞごゆっくりご検討ください。
			'sanitize_callback'	=>	'wp_filter_nohtml_kses',
		));
	//ダウンロードボタン文言
	$wp_customize->add_setting(
		'istk_portfolio_download_btn_text',
		array(
			'default'	=>	esc_html__( 'Download', 'istk-portfolio' ), //'資料ダウンロード',
			'sanitize_callback'	=>	'wp_filter_nohtml_kses',
		));
	//アクションボタンの色（資料ダウンロード）
	$wp_customize->add_setting(
		'istk_portfolio_btn_color_download',
		array(
			'default'	=>	'#368207',
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	//問い合わせセクションの文言
	$wp_customize->add_setting(
		'istk_portfolio_contact_text',
		array(
			'default'	=>	esc_html__( "We accept requests for production.\nPlease feel free to contact us.", 'istk-portfolio' ), //'制作のご依頼を承ります。' . "\n" . 'お気軽にお問い合わせください。',
			'sanitize_callback'	=>	'wp_filter_nohtml_kses',
		));
	//問い合わせボタン文言
	$wp_customize->add_setting(
		'istk_portfolio_contact_btn_text',
		array(
			'default'	=>	esc_html__( 'Contact Us', 'istk-portfolio' ),//'お問い合わせ',
			'sanitize_callback'	=>	'wp_filter_nohtml_kses',
		));
	//アクションボタンの色（問い合わせ）
	$wp_customize->add_setting(
		'istk_portfolio_btn_color_contact',
		array(
			'default'	=>	'#de5a0b',
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	//フッタ前アクションを表示するかどうか
	$wp_customize->add_setting(
		'istk_portfolio_cta_display_on_off',
		array(
			'default'	=>	'on',
			'transport'   => 'refresh',
			'sanitize_callback' => 'istk_portfolio_sanitize_radio',
		));
	//フッタ前アクションどっちを表示するか
	$wp_customize->add_setting(
		'istk_portfolio_cta_select',
		array(
			'default'	=>	'download',
			'transport'   => 'refresh',
			'sanitize_callback' => 'istk_portfolio_sanitize_radio',
		));
	
	
	
	
	//--表示文言
	
	//ヘッドライナー
	$wp_customize->add_setting(
		'istk_portfolio_text[headliner]',
		array(
			'sanitize_callback'	=>	'wp_filter_nohtml_kses'
		));
	//コピーライト表示
	$wp_customize->add_setting(
		'istk_portfolio_text[copyright]',
		array(
			'sanitize_callback'	=>	'wp_filter_nohtml_kses'
		));
	//無断使用に関する警告
	$wp_customize->add_setting(
		'istk_portfolio_text[reproduce]',
		array(
			'sanitize_callback'	=>	'wp_filter_nohtml_kses'
		));
	
	
	
	
	
	//-----------------------------------
	
	
	
	
	
	
	//-------色
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,    'headliner_color', array(
			'label'	=>	esc_html__( 'Headline Color', 'istk-portfolio' ),
			'section'	=>	'colors',
			'settings'	=>	'istk_portfolio_color_headliner',
		)
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,    'header_nav_color', array(
			'label'	=>	esc_html__( 'Header Navigation Color', 'istk-portfolio' ),
			'section'	=>	'colors',
			'settings'	=>	'istk_portfolio_color_header_nav',
		)
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,    'page_header_color', array(
			'label'	=>	esc_html__( 'Page Header Color', 'istk-portfolio' ),
			'section'	=>	'colors',
			'settings'	=>	'istk_portfolio_color_page_header',
		)
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,    'sidebar_color', array(
			'label'	=>	esc_html__( 'Sidebar Color', 'istk-portfolio' ),
			'section'	=>	'colors',
			'settings'	=>	'istk_portfolio_color_sidebar',
		)
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,    'footer_color', array(
			'label'	=>	esc_html__( 'Footer Color', 'istk-portfolio' ),
			'section'	=>	'colors',
			'settings'	=>	'istk_portfolio_color_footer',
		)
	));
	
	
	
	
	//-------カルーセル画像
	$wp_customize->add_section( 'istk_portfolio_slider_section', array(
		'title'	=>	esc_html__( 'Carousel in Front Page', 'istk-portfolio' ), //'フロントページのカルーセル',
		'description'	=>	esc_html__( 'You can set up to 5 images. Use horizontal images. The best size is W1280px x H450px.', 'istk-portfolio' ),
	));
	//カルーセルを表示するかどうか
	$wp_customize->add_control( 'istk_portfolio_slider_on_off', array(
		'type' => 'radio',
		'section' => 'istk_portfolio_slider_section',
		'label' => esc_html__( 'Display Carousel', 'istk-portfolio' ), //カルーセル表示',
		'description' => esc_html__( 'Display Carousel or Not', 'istk-portfolio' ),
		'choices' => array(
			'on' => 'ON',
			'off' => 'OFF',
		),
	));
	//スライダー画像
	for ( $i = 1; $i <= 5; $i++ ) {
		$wp_customize->add_control( 
			new WP_Customize_Upload_Control( 
				$wp_customize, 
				'istk_portfolio_slider_image_' . $i,
				array(
					'label'	=>	sprintf(
						/* translators: 1: Number of image */
						esc_html__( 'Image %1$s', 'istk-portfolio'), $i
					),
					'section'	=>	'istk_portfolio_slider_section',
					'settings'	=>	'istk_portfolio_slider_image[' . $i . ']',
				)
			) 
		);
	}
	
	
	
	
	//-------連絡先&アクション
	$wp_customize->add_section( 'istk_portfolio_contact_section', array(
		'title'	=>	esc_html__( 'Contact & Action', 'istk-portfolio' ), //'連絡先＆アクション',
		'description'	=>	esc_html__( 'These info will use to site header and before footer.', 'istk-portfolio' ), //'ヘッダー, フッター前などに表示されます。',
	));
	$wp_customize->add_control( 'istk_portfolio_contact_tel_number', array(
		'settings'	=>	'istk_portfolio_contact[tel_number]',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_contact_tel_number',
		'label'	=>	esc_html__( 'Telephone', 'istk-portfolio' ), //'電話番号',
		'description'	=>	esc_html__( 'Use the number for your business.', 'istk-portfolio' ), //'公開する業務用の電話番号',
		'type'	=>	'text',
	));
	$wp_customize->add_control( 'istk_portfolio_contact_biz_hour', array(
		'settings'	=>	'istk_portfolio_contact[biz_hour]',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_contact_biz_hour',
		'label'	=>	esc_html__( 'Business Hours', 'istk-portfolio' ), //'営業時間',
		'description'	=>	esc_html__( 'Sample: weekdays 10:00AM - 19:00PM', 'istk-portfolio' ), //'記入例：平日10:00〜19:00',
		'type'	=>	'text',
	));
	
	$wp_customize->add_control( 'istk_portfolio_link_contact', array(
		'settings'	=>	'istk_portfolio_link_contact',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_link_contact',
		'label'	=>	esc_html__( 'Contact form URL', 'istk-portfolio' ), //'問い合わせフォームURL',
		'type'	=>	'text',
	));
	$wp_customize->add_control( 'istk_portfolio_link_download', array(
		'settings'	=>	'istk_portfolio_link_download',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_link_download',
		'label'	=>	esc_html__( 'Document Download URL', 'istk-portfolio' ), //'資料ダウンロードURL',
		'type'	=>	'text',
	));
	$wp_customize->add_control( 'istk_portfolio_link_calendar', array(
		'settings'	=>	'istk_portfolio_link_calendar',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_link_calendar',
		'label'	=>	esc_html__( 'Business Calendar URL', 'istk-portfolio' ), //'営業スケジュール URL',
		'type'	=>	'text',
	));
	
	$wp_customize->add_control( 
		new WP_Customize_Upload_Control( 
			$wp_customize, 
			'istk_portfolio_pimg', 
			array(
				'label'      => esc_html__( 'Download Document Image', 'istk-portfolio' ),//ダウンロード書類画像,
				'section'    => 'istk_portfolio_contact_section',
				'settings'   => 'istk_portfolio_pimg',
				'description'	=>	esc_html__( 'For example, you can use the cover of your portfolio document. Vertical image recommended.', 'istk-portfolio' ), //例えばポートフォリオの表紙。縦長の画像を推奨。
			)
		) 
	);
	
	
	$wp_customize->add_control( 'istk_portfolio_download_text', array(
		'settings'	=>	'istk_portfolio_download_text',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_download_text',
		'label'	=>	esc_html__( 'Comment in download button area', 'istk-portfolio' ), //'ポートフォリオダウンロード前の文言',
		'description'	=>	esc_html__( 'You can not input HTML tags. Line break will display.', 'istk-portfolio' ), //'HTMLタグは入力できません。改行は反映されます。',
		'type'	=>	'textarea',
	));
	$wp_customize->add_control( 'istk_portfolio_download_btn_text', array(
		'settings'	=>	'istk_portfolio_download_btn_text',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_download_btn_text',
		'label'	=>	esc_html__( 'Text of download button', 'istk-portfolio' ), //'ポートフォリオダウンロードボタン文言',
		'type'	=>	'text',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,    'btn_color_download', array(
			'label'	=>	esc_html__( 'Color for download button', 'istk-portfolio' ),
			'section'	=>	'istk_portfolio_contact_section',
			'settings'	=>	'istk_portfolio_btn_color_download',
		)
	));
	
	$wp_customize->add_control( 'istk_portfolio_contact_text', array(
		'settings'	=>	'istk_portfolio_contact_text',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_contact_text',
		'label'	=>	esc_html__( 'comment in contact button area', 'istk-portfolio' ), //'コンタクトボタンエリアの文言',
		'description'	=>	esc_html__( 'You can not input HTML tags. Line break will display.', 'istk-portfolio' ),
		'type'	=>	'textarea',
	));
	$wp_customize->add_control( 'istk_portfolio_contact_btn_text', array(
		'settings'	=>	'istk_portfolio_contact_btn_text',
		'section'	=>	'istk_portfolio_contact_section',
		'title'	=>	'istk_portfolio_contact_btn_text',
		'label'	=>	esc_html__( 'Text of contact button', 'istk-portfolio' ), //'問い合わせボタン文言',
		'type'	=>	'text',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,    'btn_color_contact', array(
			'label'	=>	esc_html__( 'Color for contact button', 'istk-portfolio' ),
			'section'	=>	'istk_portfolio_contact_section',
			'settings'	=>	'istk_portfolio_btn_color_contact',
		)
	));
	$wp_customize->add_control( 'istk_portfolio_cta_display_on_off', array(
		'type' => 'radio',
		'section' => 'istk_portfolio_contact_section',
		'label' => esc_html__( 'Display action area above the site footer', 'istk-portfolio' ), //'フッタ前アクション表示',
		'choices' => array(
			'on' => 'ON',
			'off' => 'OFF',
		),
	));
	$wp_customize->add_control( 'istk_portfolio_cta_select', array(
		'type' => 'radio',
		'section' => 'istk_portfolio_contact_section',
		'label' => esc_html__( 'Which button display in action area', 'istk-portfolio' ), //'フッタ前アクションどちらを表示するか',
		'choices' => array(
			'download' => esc_html__( 'Download', 'istk-portfolio' ), //'ダウンロード',
			'contact' => esc_html__( 'Contact', 'istk-portfolio' ), //'問い合わせ',
		),
	));
	
	
	
	
	
	
	
	//-------表示文言
	$wp_customize->add_section( 'istk_portfolio_text_section', array(
		'title'	=>	esc_html__( 'Texts in Header & Footer', 'istk-portfolio' ), //'表示文言',
	));
	$wp_customize->add_control( 'istk_portfolio_text[headliner]', array(
		'settings'	=>	'istk_portfolio_text[headliner]',
		'section'	=>	'istk_portfolio_text_section',
		'title'	=>	'istk_portfolio_text_headliner',
		'label'	=>	esc_html__( 'Headline', 'istk-portfolio' ), //'ヘッドライナー',
		'description'	=>	esc_html__( 'It will display above site logo. If left empty, WordPress Tagline will be used.', 'istk-portfolio' ), //'ナビゲーションヘッダーの上に表示される文言。指定がなければWordPress設定のキャッチフレーズを代わりに表示します。',
		'type'	=>	'text',
	));
	$wp_customize->add_control( 'istk_portfolio_text[copyright]', array(
		'settings'	=>	'istk_portfolio_text[copyright]',
		'section'	=>	'istk_portfolio_text_section',
		'title'	=>	'istk_portfolio_text_copyright',
		'label'	=>	esc_html__( 'Copyright', 'istk-portfolio' ), //'コピーライト',
		'description'	=>	esc_html__( 'It will display bottom of the site footer. If left empty, the site name will be used.', 'istk-portfolio' ), //'フッターの最下部に表示する著作権表示。指定がなければ自動で表示します。',
		'type'	=>	'text',
	));
	$wp_customize->add_control( 'istk_portfolio_text[reproduce]', array(
		'settings'	=>	'istk_portfolio_text[reproduce]',
		'section'	=>	'istk_portfolio_text_section',
		'title'	=>	'istk_portfolio_text_reproduce',
		'label'	=>	esc_html__( 'Warning of reproduce', 'istk-portfolio' ), //'無断使用警告',
		'description'	=>	esc_html__( 'It will be displayed after copyright.', 'istk-portfolio' ) . esc_html__( 'You can not input HTML tags. Line break will display.', 'istk-portfolio' ),//'copyrightの後に表示されます。指定がなければ何も表示しません。HTMLタグは入力できません。改行は反映されます。',
		'type'	=>	'textarea',
	));

}
add_action( 'customize_register', 'istk_portfolio_customize_register' );

