<?php
get_template_part( '/inc/plugin-activation/class-tgm-plugin-activation' );

add_action( 'tgmpa_register', 'istk_portfolio_register_required_plugins' );

function istk_portfolio_register_required_plugins() {
	$plugins = array(
		array(
		'name'	=>	'ISTK Add-On', // The plugin name.
		'slug'	=>	'istk-add-on', // The plugin slug (typically the folder name).
		'required'	=>	false, // If false, the plugin is only 'recommended' instead of required.
		'force_activation'	=>	false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
		'force_deactivation'	=>	false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
		'external_url'	=>	'', // If set, overrides default API URL and points to an external URL.
		'is_callable'	=>	'', // If set, this callable will be be checked for availability to determine if a plugin is active.
	),
	);
	
	/*
	* Array of configuration settings. Amend each line as needed.
	*
	* TGMPA will start providing localized text strings soon. If you already have translations of our standard
	* strings available, please help us make TGMPA even better by giving us access to these translations or by
	* sending in a pull-request with .po file(s) with the translations.
	*
	* Only uncomment the strings in the config array if you want to customize the strings.
	*/
	$config = array(
		'id'	=>	'istk-portfolio', // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path'	=>	'', // Default absolute path to bundled plugins.
		'menu'	=>	'tgmpa-install-plugins', // Menu slug.
		'has_notices'	=>	true, // Show admin notices or not.
		'dismissable'	=>	true, // If false, a user cannot dismiss the nag message.
		'dismiss_msg'	=>	'',  // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic'	=>	false, // Automatically activate plugins after installation or not.
		'message'	=>	'', // Message to output right before the plugins table.
		
		
		
		'strings'	=>	array(
			'page_title'	=>	esc_html__( 'Install Required Plugins', 'istk-portfolio' ),
			'menu_title'	=>	esc_html__( 'Install Plugins', 'istk-portfolio' ),
			
			/* translators: %s: plugin name. */
			'installing'	=>	esc_html__( 'Installing Plugin: %s', 'istk-portfolio' ),
			
			/* translators: %s: plugin name. */
			'updating'	=>	esc_html__( 'Updating Plugin: %s', 'istk-portfolio' ),
			
			'oops'	=>	esc_html__( 'Something went wrong with the plugin API.', 'istk-portfolio' ),
			/* translators: 1: plugin name. */
			'notice_can_install_required'	=>	_n_noop(
				'This theme requires the following plugin: %1$s.',
				'This theme requires the following plugins: %1$s.',
				'istk-portfolio'
			),
			
			/* translators: 1: plugin name. */
			'notice_can_install_recommended'	=>	_n_noop(
				'This theme recommends the following plugin: %1$s.',
				'This theme recommends the following plugins: %1$s.',
				'istk-portfolio'
			),
			
			/* translators: 1: plugin name. */
			'notice_ask_to_update'	=>	_n_noop(
				'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.',
				'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.',
				'istk-portfolio'
			),
			
			/* translators: 1: plugin name. */
			'notice_ask_to_update_maybe'	=>	_n_noop(
				'There is an update available for: %1$s.',
				'There are updates available for the following plugins: %1$s.',
				'istk-portfolio'
			),
			
			/* translators: 1: plugin name. */
			'notice_can_activate_required'	=>	_n_noop(
				'The following required plugin is currently inactive: %1$s.',
				'The following required plugins are currently inactive: %1$s.',
				'istk-portfolio'
			),
			
			/* translators: 1: plugin name. */
			'notice_can_activate_recommended'	=>	_n_noop(
				'The following recommended plugin is currently inactive: %1$s.',
				'The following recommended plugins are currently inactive: %1$s.',
				'istk-portfolio'
			),
			'install_link'	=>	_n_noop(
				'Begin installing plugin',
				'Begin installing plugins',
				'istk-portfolio'
			),
			'update_link'	=>	_n_noop(
				'Begin updating plugin',
				'Begin updating plugins',
				'istk-portfolio'
			),
			'activate_link'	=>	_n_noop(
				'Begin activating plugin',
				'Begin activating plugins',
				'istk-portfolio'
			),
			'return'	=>	esc_html__( 'Return to Required Plugins Installer', 'istk-portfolio' ),
			'plugin_activated'	=>	esc_html__( 'Plugin activated successfully.', 'istk-portfolio' ),
			'activated_successfully'	=>	esc_html__( 'The following plugin was activated successfully:', 'istk-portfolio' ),
			
			/* translators: 1: plugin name. */
			'plugin_already_active'	=>	esc_html__( 'No action taken. Plugin %1$s was already active.', 'istk-portfolio' ),
			
			/* translators: 1: plugin name. */
			'plugin_needs_higher_version'	=>	esc_html__( 'Plugin not activated. A higher version of %s is needed for this theme. Please update the plugin.', 'istk-portfolio' ),
			
			/* translators: 1: dashboard link. */
			'complete'	=>	esc_html__( 'All plugins installed and activated successfully. %1$s', 'istk-portfolio' ),
			
			'dismiss'	=>	esc_html__( 'Dismiss this notice', 'istk-portfolio' ),
			'notice_cannot_install_activate'	=>	esc_html__( 'There are one or more required or recommended plugins to install, update or activate.', 'istk-portfolio' ),
			'contact_admin'	=>	esc_html__( 'Please contact the administrator of this site for help.', 'istk-portfolio' ),
			'nag_type'	=>	'',
		),
		
	);
	
	tgmpa( $plugins, $config );
}
